//----------------------------------------------------------------------------
//  Project Borl_ex
//  BlockTeq Software
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    Borl_ex Application
//  FILE:         borlxapp.cpp
//  AUTHOR:       D.R.Block
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TBorl_exApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "borlxapp.h"
#include "brlxdlgc.h"                        // Definition of client class.


//{{TBorl_exApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TBorl_exApp, TApplication)
//{{TBorl_exAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TBorl_exAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TBorl_exApp
//
TBorl_exApp::TBorl_exApp() : TApplication("Borl_ex")
{

  // INSERT>> Your constructor code here.
}


TBorl_exApp::~TBorl_exApp()
{
  // INSERT>> Your destructor code here.
}


//--------------------------------------------------------
// TBorl_exApp
// ~~~~~
// Application intialization.
//
void TBorl_exApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TSDIDecFrame* frame = new TSDIDecFrame(0, GetName(), 0, false);
  frame->SetFlag(wfShrinkToClient);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  SetMainWindow(frame);

}



//{{TSDIDecFrame Implementation}}


TSDIDecFrame::TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TDecoratedFrame(parent, title, !clientWnd ? new TBorl_exDlgClient(0) : clientWnd, trackMenuSelection, module)
{
  // INSERT>> Your constructor code here.

}


TSDIDecFrame::~TSDIDecFrame()
{
  // INSERT>> Your destructor code here.

}


//--------------------------------------------------------
// TBorl_exApp
// ~~~~~~~~~~~
// Menu Help About Borl_ex command
//
void TBorl_exApp::CmHelpAbout()
{
}



int OwlMain(int , char* [])
{
  TBorl_exApp   app;
  return app.Run();
}
